#include <GUIConstantsEx.au3>
#include <MsgBoxConstants.au3>
#include <StringConstants.au3>
#include <File.au3>
#include <GuiButton.au3>
#include <WindowsConstants.au3>
#include <GUIConstants.au3>
#include <Misc.au3>
#include <Sound.au3>
#include <Array.au3>
#include <Excel.au3>



local $sDir = @ScriptDir & "\ID_LIST.xlsx"


GUICreate("Scanner", @DesktopWidth*0.9, @DesktopHeight*0.9, $WS_EX_ACCEPTFILES)

GUICtrlCreateLabel("LPN Nummer:", 5, 80, 350, 60)
GUICtrlSetFont(-1,32)

Local $idLPN = GUICtrlCreateEdit("LPN000000000000", 350, 80, 400, 60,BitOR($ES_WANTRETURN,$ES_AUTOVSCROLL)) ; Muss ein Edit sein damit die Entererkennung funktioniert!
GUICtrlSetFont(-1,32)
Local $idBtn = GUICtrlCreateButton("SUCHEN", 800, 80, 200, 60)
GUICtrlSetFont(-1,32)
Local $diBeschreibung = GUICtrlCreateLabel("", 5, 180, (@DesktopWidth*0.9)-180, (@DesktopHeight*0.9)-5)
GUICtrlSetFont(-1, 56, 400, 0, "Calibri", 5)


; Create application object and open an example workbook
Local $oExcel = _Excel_Open()
If @error Then Exit MsgBox($MB_SYSTEMMODAL, "Excel UDF: _Excel_RangeFind Example", "Error creating the Excel application object." & @CRLF & "@error = " & @error & ", @extended = " & @extended)
Local $oWorkbook = _Excel_BookOpen($oExcel, $sDir)
If @error Then
    MsgBox($MB_SYSTEMMODAL, "Excel UDF: _Excel_RangeFind Example", "Error opening workbook '" & $sDir & @CRLF & "@error = " & @error & ", @extended = " & @extended)
    _Excel_Close($oExcel)
    Exit
EndIf

GUISetState(@SW_SHOW)

While 1
	Switch GUIGetMsg()
		Case $GUI_EVENT_CLOSE
			_Excel_Close($oExcel)
			ExitLoop
		Case $idBtn
			Suchen()
	EndSwitch
WEnd

func Suchen()
	$idLPN_NR = GUICtrlRead($idLPN)
	Local $aResult = _Excel_RangeFind($oWorkbook, $idLPN_NR,"A1:A10000",$xlValues)
	local $sResult_1_Text
	Local $aResult_1

	_ArrayDisplay($aResult) ;<- DEBUG
 	for $i = 0 to UBound($aResult)-1
		$aResult_Text_1 = StringReplace($aResult[$i][2],"A","D")
		$aResult_1 = _Excel_RangeRead($oWorkbook, Default, $aResult[$i][2] & ":" & $aResult_Text_1, 1)
		$sResult_1_Text		= $sResult_1_Text &"Beschreibung " & $i+1 & " "& _ArrayToString($aResult_1) & @CRLF
	next

	GUICtrlSetData($diBeschreibung,$sResult_1_Text)
EndFunc
